Bug 1384762 - glusterd status showing failed when it's stopped in RHEL7
Summary: glusterd status showing failed when it's stopped in RHEL7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Rajesh Madaka
URL:
Whiteboard: rebase
Depends On: 1462200
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2016-10-14 05:22 UTC by Byreddy
Modified: 2018-09-18 06:53 UTC (History)
12 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1462200 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:29:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:31:17 UTC

Description Byreddy 2016-10-14 05:22:55 UTC
Description of problem:
=======================
glusterd status showing "Active: failed" when it's stopped in RHEL7

~]# systemctl status glusterd
● glusterd.service - GlusterFS, a clustered file-system server
   Loaded: loaded (/usr/lib/systemd/system/glusterd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Fri 2016-10-14 10:07:13 IST; 1s ago
  Process: 19087 ExecStart=/usr/sbin/glusterd -p /var/run/glusterd.pid --log-level $LOG_LEVEL $GLUSTERD_OPTIONS (code=exited, status=0/SUCCESS)
 Main PID: 19088 (code=exited, status=15)
   CGroup: /system.slice/glusterd.service
           └─5830 /sbin/rpc.statd



Version-Release number of selected component (if applicable):
=============================================================
glusterfs-3.8.4-2.

How reproducible:
=================
Always


Steps to Reproduce:
====================
1. Have RHGS RHEL7 node
2. Start the glusterd  if it's not running // systemctl start  glusterd
3. Stop the glusterd // systemctl stop glusterd
4. Check the status // systemctl status glusterd ---> will show "Active: Failed"

Actual results:
===============
glusterd status showing failed when it's stopped in  RHEL7 


Expected results:
=================
Status should show Inactive / Not running when it's stopped 


Additional info:

Comment 5 Atin Mukherjee 2017-06-08 13:17:01 UTC
Gaurav,

Can you please work on this bug?

Comment 7 Atin Mukherjee 2017-06-19 12:40:05 UTC
upstream patch : https://review.gluster.org/17559

Comment 11 Rajesh Madaka 2018-02-20 12:35:12 UTC
verified this bug with below version:

glusterfs-3.12.2-4

verified scenario:

  -> Stopped glusterd on RHEL7.5 using "systemctl stop glusterd" command
  -> Then verified glusterd status using "systemctl status glusterd" command
  -> Glusterd status showing "incative"

Moving this bug to verified state

Comment 14 errata-xmlrpc 2018-09-04 06:29:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.